// SPDX-License-Identifier: MPL-2.0
pragma solidity ^0.8.17;

import 'forge-std/Script.sol';

import {EESeedToken} from 'src/token/EESeedToken.sol';

contract DeployTokenScript is Script {
    EESeedToken internal token;

    address constant private POLYGON_ADMIN = 0xaE992BB0E3359f0d9128ac97B4e3584583D74Fa7;

    function setUp() public {}

    function run() public {
        vm.startBroadcast(msg.sender);
        token = new EESeedToken(msg.sender);
        console.log('Seed EE token: ');
        console.log(address(token));

        // Load initial balances from Ethereum
        // 150 wallets per batch
        address[] memory addr_batch1 = new address[](150);
        uint256[] memory amount_batch1 = new uint256[](150);
        address[150] memory addr_tmp = [ 0x2872420a81365c2E10Eb052Bc4DfD4bb3a6Bb340, 0xcE1411FAF84ba76444653731002502EF51B070a7, 0xDd50D5658f825C68Cbb60F4108CAA93D7E754d14, 0x815BEe06404b43db6958a6C3f5514C34a3BA67f4, 0xd1FF06D46dC35FB7760FEcf3De193d7F978bB5e3, 0x55A5e1B0fAc640E1C4dE64B7207A3A7ED3dc65e8, 0x48ec77D20fe094314C183afa862b13d8392B3dB9, 0x67886680EC214B2754e8eB76Ae729045E7296D40, 0x4118479cE7fDFD5476AD7865c540Eb259aF180E9, 0x4be92A5b6d76A55B5FD398719fD00011E918Ff13, 0x7BAC003eDC7bFc04933b5182e2D0699974eE8B1A, 0xFA1a125b61cE6ee417FeC00D0e6Cc1E4ec3C538e, 0x724aa048869E19443195a75c8487DE0357dAcabe, 0x33D58F6DeD18b0Faefa7d407786418B36b31Ca09, 0xf5EB96522eE07412a246b1db00D5B4484021E6b4, 0xfF18064d22d57429456a7A93ff7e9EdC50f50c22, 0x38A363931758EBC158CA0c5f0E355E4a88E3B73B, 0x79d371167B10A278E41C5b2E621a9CdB89D039b7, 0x746503562C9c5D8D43e880EC97B093667affcc85, 0xe025467dc7074629935B21Eeefac793c594F8191, 0xF1F3417e1194E7Ac68f95e153DE0aE18c6204bF8, 0x5a1f2BAa75E4065a230034954A5a818d1D7F5Feb, 0x37151cC9b3a05fb7A934e79B0eE2957C85dbb412, 0x886307c293ED4734F1a5E61a44FC82C8bE672641, 0x0e941Fed8700d50c72CE79a7438434B6c2f87BbC, 0x6d5F16375E41051339172DC14Ed24401EbaE3c87, 0x5073c41546962388830bA2Ee640649bF4c7d8321, 0xae4fe48475C9126a24C167779fdC97fB1B6382F0, 0xEe926aA8a29aaF389c6aDE1077296A302F3537c3, 0x00cb97487391d0ac7819C77098dbfd75b1d76787, 0x7b40e424bAA8Fc84854d5513EB04288A5444FFf2, 0x4bE0266F47f5BdEC8056D153055dd0F16EAC719B, 0xA5c4D48192b297F405928a3d5eC413b586060c0E, 0xbA64aE000F1Ac78f213875b9b782903649344f12, 0x010E1463e61075cc987096E7714641E17cA41CAC, 0x74091E1b1d069f5F04ACb974081D51452FB7B907, 0xC6FDdb5a99f676D318a430Be6ce44CA3F9d04d70, 0x368485aF543396223e72533522B64d382ADa4d5B, 0x1f0609168F8c955e914d89a19Ffbb2859aEe6d90, 0x18657F954aaA28325273f8D5f5BA68410083d004, 0xeeCf943D16c85Bd6bA3BEA52d46fd89570A5E38c, 0xc8490eca334e61ACe69a12e279C3c060CA5a46fe, 0x9fA1F2Df17c94AE81F8CD4Ab940eE6304fb17f02, 0x7ea366591a179288bA4ECdB210EC2a1a04105F66, 0x9AeE4D3F1AFa8F5Fc933cf97c3fCa2C9bD4eFd77, 0x6Da623Cc409C70C14b08D556C8ad7e5f492CF827, 0x897a2A43578469850c33f168aE6b970a2aa69160, 0x29C13a5ff9A63B02f49D5bdeaEb93fc41e345Eab, 0x8815dbF01872192EF27a8036dFfA3065611a960b, 0xE725f89A6854c229b7B1B0201516831f9275eE16, 0xDebA0E5653f6966b5411e57E44109eB5834927dA, 0xc6C40C3750BD6530cb19637e010c0ECC858C06E2, 0x7635fB9C9047eA8E0991Bc61B4Cb08eE6adeA790, 0x44e17c9CE0cB55449c533DfF4B77a3E83546205d, 0x2E3884107746c9019De9726f91f80514ee1d0B54, 0x8145673b88d3c30B3bF4eAFb33aba839695405bC, 0x733a631d04948E5A56B374e184AC0C3df3f8E4E2, 0x7267Bb98B9Ddaa1FEbFd574b9D7e8fa8ADC418EA, 0x96EB5b00c8ef586D42e59665E91C7A9a998FBAA9, 0x70BaF4709F711E86546071A900536925EE70C575, 0x09d2156C2601E8a05d9ecBc327D050B6092b3D8C, 0xd3D7a767E959999cCfA4bCA8c3801334Feb4Ff77, 0xAea3230827a775F14553c1Ef254bE8f7c37b59B6, 0x72B09271eAff020ba75f7c2bA5d7b17A04e57a8A, 0x7c45A434b62AF9f279ae698B91C32cDb5C408085, 0x708Fc76F8C4Ce43Dd42e49c9cFFF7A843Ddb9783, 0x8371EC1d9B31899e8A7574f43a7864F395C80d00, 0x90b956D2A705F8BF79a70DEF26cA1eb8863FC4d0, 0xa1c5C3A28CFf48be85634E4D818c2102380bFe57, 0xBb9C623fdEc8972Ac0aF44878F1B9c2C5dd5e54d, 0x2bb03F4260FEa6d20141151afE5D90145750760C, 0x0eFCfD5Bea4486578142d1605B39605e433Baf6C, 0xc62303907CE7D7b0dA69d61c7b16B739a039640c, 0x42E2C284bA2B74e99c319A737c9a6Aa264B3Fb22, 0x5A4e6176305B8281fc33102657EDD35b94f1dD3c, 0xf92ff165c4801fA6587701fBA9eA6E5bF8d78BD2, 0x7B3F08C4C3Eb20cba10aEAFE3F867F9cBBC88f8A, 0xCaC01d678164710bB83d3D640212b18578E334eb, 0xB4593c08165430E2839610d79280179144dd3Fd6, 0x617c92CD47126c723D07a3678913AAC5385e09f3, 0xE17eb2F086D62B88dEc53a15322E44C783027854, 0x1f683BF8AAfD6Fff9ee15157a1F860B7C304aa4c, 0xA223080F20dDD37370Dd6c9363894e3c1cdf1556, 0x01EC695f6A8e1B6C4c17f62782D411Cb678b0998, 0x41baeE0fDeDC7e8324c05d7f26DF9c318a02d268, 0xc3f142ADb9cE62C4545A00b0dfC5A1aE6e1Ce2F4, 0xDf258A0736444602530b71f8651a448d6E73F461, 0x44fD78AF8349595fF6CFe05fdDb245a210cD3613, 0x7e4C0D9aFd16B02F6dd17661247B17C912F32593, 0xe39fCb060254192C4d4889Db9f36F070b65d3a2E, 0xc63432EE46379c6eC08843b379ceA5DDE16EBb86, 0xd286c45754e43d3Fd3d443b276a8862E4468401d, 0x5e9253C7337b0fe757Aa3Ec664d9973fa0B7B17E, 0x187e202e311Ab27175442be9aF0B953F23b9eDdA, 0xf17A812da04A0677961ff3bAD53275c524988094, 0x41187A0ed1F36C17CbBe58A82999549792d13e96, 0x982f243f04AB26D032E81cE84F6C3A8bD943d58A, 0x47AfF3C575e0DaE45BC069e86e9Ef7E1F2B7713F, 0x147d6A47F1b6c1a2C2d24E19C88191d800f77416, 0x58976dfE4aBf31C91fc010872F453cE98e6B73cc, 0x46623d9DeD804B95Bbb5Ea5fEE126b0a131Fa737, 0x8A0aE4ccD07043D799fa667241ca88fa560712Ee, 0x9D8385f270e7F709E64Fb6467b94373D9c4FBc52, 0x6ffA11f812F21De9A08FC74f82C11060a7F2AeFE, 0xf27BD344d3Fe7Fb1A65682563Df32CC49F3fb9d5, 0x5bF25Dc1BAf6A96C5A0F724E05EcF4D456c7652e, 0x2484c5E0Cc23aa3a726d58505159Eb50c3abc11a, 0xBeEF3D7dB05e8Ddeb458f6F9464Fa5E9FC5E1716, 0xcAAb4b732c5a0258966Dbc53f28877A4e58418D2, 0x9577E33F88EF43888a8aC2e28cd422473f6717C9, 0x2Ac4a9F1f23B15f590cb3484ddD08Fda0d2fbe72, 0xC1E28f6514C7C02BD575409De915a0839d4e4114, 0xbd8d10bDb900f1Dd0684eBA6923bc2243104bFe4, 0xAB6575fD4975C355bE2271E8831CC90AF75C508A, 0x6593d1efDB9610eAA26473e4938A13e84b56a489, 0x06B79bBA82673872589d0296Ff9889D6dCA460Aa, 0xC97F9892a34A49d4d8eafe36C141f86905278f9c, 0xc277A424B602eC02A89094ce5e4Ea6779D59adc2, 0x4F28512a256e84649B80a68C3c8Aaba241319C1B, 0x16dBF455CFF324986904b43743B4D606C5c5d784, 0x3777A16e7Fe9e92Ed600452352aC6dDF618FFc80, 0x68edF87f2C356CCf7B94d8b9bD6b615Ffc485a92, 0x6dDDa05Ae2e87E95a89CCb7719224872Fe713193, 0xDF0ee93Ccd4c84Bb419D424456Ce39F98f09C2bC, 0x1bbd0fcf29B86C41000af46f5bB27B6689721858, 0xC53c7031DbAC27036e990BAE591f34668850C8f4, 0xd2705E3eEf2D891aaD3a4751C20404a33CB79370, 0x1624A1acEA88d2CD04Fb6C323B831e4e9EBE94ee, 0x334B98eFe4170E52b84c6FC01Bbb6FFE979D5cC1, 0xAd1C766e5460b3A6140951573aEE82f97b07e64E, 0x0e8d87A8EF6e12a3Ba94e45A443102A94fD214C2, 0x64A6B6C084D6858a4BD7CF4E5315b20fa85dcfFc, 0xB1d33E9E95CC1D9185f954EEB961A048DA8FC505, 0xfF8e5e5CfB436FD51D5b49F343963A12c9fAf8C8, 0x5413661bab88FB61E9429153873923E55EDF6Bc2, 0x440C4497591d6179314b040cd78436A666cCC99f, 0x63E066A1d80841B67d4925B7Aff1dC03aC118A2e, 0x8321612B1d6472C2747934158de4870776C974fb, 0x306d07cF045c21f6c49094910E4Bc9B8aA697A45, 0x3824Ea1488Bb5Afced11c6A17449887D466f7297, 0x6c7Aa0B7d1346Aa25195676A5A7E086FDe99b320, 0x0ceaA3fA269877a0fB194ED383605fc2527eB0A0, 0xc46689d5e100380043bFD3da3C9c9285e8F85176, 0x412b8cc9101f46B7C9870244839311200F3b502e, 0xD89848c95896be0784AA82afe332EF7AC3eD8942, 0x40f2BEa02C7A2C5731D4596CB135fd1Ace83864f, 0x43ebb5151c0258D64CE44b51682A232883317599, 0x0eC1e7509dA67D7B0C8A38b284A1b2196bd69a7c, 0xa380D05dDD16f2A8fB67CAc535FE0B2E400f0133, 0x35913357fc1f1404449DCbB9fbb962A78dA52B59 ];
        uint88[150] memory amount_tmp88 = [ 60000000000000000000000000, 20000000000000000000000000, 7142857142000000000000000, 1857142857000000000000000, 1428571428000000000000000, 1428571428000000000000000, 1428571428000000000000000, 1428571428000000000000000, 1428571428000000000000000, 725308640000000000000000, 714285714000000000000000, 681763000000000000000000, 493827160000000000000000, 428571428000000000000000, 342854000000000000000000, 313171420000000000000000, 312857130000000000000000, 308549370000000000000000, 300000000000000000000000, 295714285714285699500000, 285714285000000000000000, 285714280000000000000000, 285714280000000000000000, 282857140000000000000000, 280404200000000000000000, 277142850000000000000000, 269320979999999988500000, 238657140000000000000000, 216049380000000000000000, 214285710000000000000000, 187942850000000000000000, 154320980000000000000000, 154320980000000000000000, 153771428571428559600000, 142914280000000000000000, 142857140000000000000000, 142857140000000000000000, 142857140000000000000000, 142857140000000000000000, 142857140000000000000000, 142857140000000000000000, 142857130000000000000000, 142857130000000000000000, 141657140000000000000000, 133071428571428559600000, 131327150000000000000000, 123608571428571419700000, 123057140000000000000000, 122857140000000000000000, 121431000000000000000000, 114285710000000000000000, 114285710000000000000000, 111428570000000000000000, 101157128571428559600000, 100142850000000000000000, 100000000000000000000000, 94285710000000000000000, 93342850000000000000000, 92857140000000000000000, 88571420000000000000000, 88571420000000000000000, 88314280000000000000000, 85714280000000000000000, 85600000000000000000000, 84399420000000000000000, 82738000000000000000000, 80000000000000000000000, 78008333333333322600000, 78000000000000000000000, 72179991428571419700000, 71571410000000000000000, 69788571428571419700000, 63888888888888873300000, 62222220000000000000000, 61728390000000000000000, 60000000000000000000000, 59921680000000000000000, 59142857142857139900000, 59142857142857139900000, 59142857142857139900000, 58857140000000000000000, 58551428571428559600000, 57142850000000000000000, 57142850000000000000000, 57142850000000000000000, 57142850000000000000000, 57114280000000000000000, 56942850000000000000000, 56914280000000000000000, 55914280000000000000000, 54285710000000000000000, 53942850000000000000000, 53701420000000000000000, 51428570000000000000000, 49994880000000000000000, 49354282857142839400000, 49135800000000000000000, 47307420000000000000000, 46296290000000000000000, 45714280000000000000000, 45714280000000000000000, 45714280000000000000000, 45000000000000000000000, 43209870000000000000000, 42857140000000000000000, 42582857142857139900000, 42571420000000000000000, 42050571428571419700000, 41991428571428559600000, 40512857142857139900000, 40000000000000000000000, 38342850000000000000000, 37142850000000000000000, 37037030000000000000000, 35714270000000000000000, 35257130000000000000000, 34571420000000000000000, 33873452222222202800000, 33657140000000000000000, 33060857142857139900000, 32098760000000000000000, 31874640000000000000000, 31746000000000000000000, 31481480000000000000000, 31386850000000000000000, 30971420000000000000000, 30957140000000000000000, 30864190000000000000000, 30864190000000000000000, 30864190000000000000000, 30697420000000000000000, 30636570000000000000000, 30000000000000000000000, 29571428571428559600000, 29571428571428559600000, 29571428571428559600000, 29571428571428559600000, 29571428571428559600000, 29571428571428559600000, 29571428571428559600000, 29275714285714279800000, 29000000000000000000000, 28971420000000000000000, 28832142857142839400000, 28828570000000000000000, 28800000000000000000000, 28771420000000000000000, 28771420000000000000000, 28657140000000000000000, 28600000000000000000000 ];
        for (uint256 i = 0; i < 150; i++) {
            addr_batch1[i] = addr_tmp[i];
            amount_batch1[i] = amount_tmp88[i];
        } 
        token.batchMint(addr_batch1, amount_batch1);

        address[] memory addr_batch2 = new address[](150);
        uint256[] memory amount_batch2 = new uint256[](150);
        addr_tmp = [ 0x3B12C66896Ee7c34628B0c18b347aA4dA5d5F74A, 0xb0BEdbA6B06568594E9bD5976344aD515d08A59B, 0x877D501f45aaC42Ec4f027Ef8741dd784D28836C, 0x7EEFdF5c23DF7d9DFd126cA36DD285fc55Acd861, 0xbA72B9239c8D87D6270E2578416d3BdEb9Ba1D5F, 0x9433a650937374324c8905b22d9ab52B66544b24, 0x65c0182eE0b2A003EfBa1F22578E1ce2B8180eFb, 0x7C69f27756060BbC726BcAbAAb9014Cc9ff4404E, 0x835a58973E0c74B9d2dc2a3d0E55942a10feB6D4, 0xbF823C93E9d7D43C926f9cadeEE7Dbc8f4699E53, 0xbeb72B567A4fE8F7419Ce7a42Fc0CfAd315f2D22, 0xB387B295D7699B91bCE486afcD11d12AaF453d74, 0xCfE76b463317eFD8678e9Ff42CF7013EBaF6AE2E, 0x1A5e45624cE4DebAb1b0961152F8873C3875d45a, 0xEB9c11efe97A6a52Ae63989B8034801d237401fD, 0x83fF6ed9FbB7E03000a8eFA472C1C3bEcD6D7353, 0x30D9B09F5d685CDDBF0EFDA49BD9E59f6B438224, 0xB7772B70c012AC64e899160314932532Aa6bA77A, 0x87E6e62cE206e958e5fE0694A279120A8F931dF9, 0xB5300614055333Bf0c07B63001BFa56B079eDAD6, 0xbD89cF0460052b7BF10931bECFe384a78d873A03, 0x4A9b3aa5878Dff01Ce30c852B8AF6ddf69E85D72, 0xa6B940c9476a55e1AD9328f5959871B0B18FD981, 0x4C6E6ffBEFaDE21520E42df34e999Bad03bF9C1C, 0x7aF1A6F9736abC164dC178bDB76334FcDbD5fA90, 0xE5867076E39fD8E53894CBBaDddd8092650d33A4, 0xe7490dF72B0EAc8E2b1DDCad929Bd2A6A6A3c0Fb, 0xFaBBa6509F0fBB11Ce898e15A614A08CA1d102d5, 0x0d1dE3b8590B8b622f784d1251A1597293cF6802, 0x070163A53e9492491B26424aa178C5A39Fe9EABe, 0x556aa3ec33C7081ad22B3a42dE5B9fD82f4Dd9A8, 0x7DB8d9Ef227983aE493f1156425135fead937e73, 0x866e1e1DD05Cb7b6530De022Ef5602BeB8031bFF, 0xFf5cED4F884639DF81c27AfBf97Fb1855D4d6b07, 0x95EC630fFcDC9f25630A9ea708DddD26bA15B3B3, 0xBD6aDBb76F5F632732E5d81545d6941A923963c2, 0x72439897626a514EF8018b80897E99d01241F4b1, 0x6bcAE720D4E1b1D0B5D5A07bE9C5E581Bdced2e9, 0xa86BD1Ac333b4ae31Db3B3BC41Db6b219bb21Fa9, 0xe9d7219B7Fd6fE5F30c83A076a66490D1E324766, 0xA0DD1b358d77F2211eAab0362adFe79018a948b9, 0xDaC9474B4a04872825b5B3d0456F08EC013722E0, 0xCa15082E105a0Da2DfFF67022aBE41909F61E458, 0xFDb09F6f89a1166860c1010a637b324d75f453fa, 0xb2E6974234126e18BFBBcB0ef37bA6aCE003c722, 0xa873E03650Ce7B2d35E21efE48071570E06C1ed5, 0xd39fFd3066236E8cfc0F12B48A9995634a9Cd802, 0xb744dA83B0242B6fF30Cd7DB86691c51f6019Ddf, 0x08d4c25b78896fF654D4aa0E55f741Ef4c5E5F2C, 0x2387e29e76b0c713AEeF4c4927fbaE271E14A6B7, 0x3DADf003AFCC96d404041D8aE711B94F8C68c6a5, 0xDCB009B9cE67EfE051Feb4082078e7DaFb4D18C1, 0xf059a9B8895d38DCCB7ab449AC93F655CB52D2Ce, 0xAA172867448065FEc5ed0aF2e00941edCe7bc3f1, 0xBe1884b2e8b409320A0470E8E581Ba5EbbAc3036, 0x41a3fB1306F11B012A6E006Dc7978ad1022fD799, 0xca52A1b1A7953cf40a1A73EB755253Ab5A011876, 0x5c2295ab1368EDB685173Df501477B781A58AA5e, 0x63d5f91D51bCCB28b3f98BdB3013dc65b0042376, 0xcC39039024776d70Ef5007d1e8E1f70b837b20c7, 0x23B1fb82c3F86c62473D7c2f5c46BB8bE3f0A4d3, 0x785250A3688FA04B1C314dbE9316C66677cDff78, 0x02D3b0C2d2A41149be91Ac89e2fEd7B85CBd5c7E, 0x5C0Ec3b2cd67474F73b6250e238eD308259796Ac, 0x047152Cc1b8186081b500aE0c95a46dB918dd57e, 0x2464a02C7fb40c7Be86eD9Bac05d8b7c1b5538e1, 0xe3bb78533122111FFBB370375b17238885F4f556, 0x4A177Cc32e4FA3A9a832225433fe8eCBe78122F6, 0x40480D7C5658A2E0cBCA0b9783590695C700dc63, 0xB0DCdF78989e5884c059E120632251af2F3528C9, 0xfB94e3c54030A3D8513c3eE7e91e8b3911b4D3EC, 0xcc1220a879Df0af8258006208caf9D4529d9f30b, 0xDa43e8D0fc4EA3e1C278C7f81B26cb26287B1D6b, 0x258FC1c1ce98437c061AbAe50Ba5C5B96a2A0E63, 0x157cA9dCC26be365D9b4639520008f1933349871, 0x8f60194871B4819B3D6b02Cd8b3F61F325431Be6, 0xB209C140cE2c473f78d736C1d49C3C83398E406F, 0x1aE816591beDD7455CDEAa3a446fb21F0BEbB510, 0x26620045a38EC05F0906C8EeFFE633f2d1e135F7, 0x7C27758644774d49D44031202127EE2E3c9840F1, 0x7fC4ee81cf27a5E3e6C55dD9D2eCD7049A9439E8, 0xF647FC118FCeF8CCF6FD4ba38c2646E18417F6f1, 0x04e23048c0dC1494d8f2672Be7B864216Ad07759, 0xF920E45FF9bCa042BB05FEBd4e66A05F736C6CE3, 0xA07579547D023c62aB87598eC7099989A3F57e0a, 0x4B78D398AC31BC0A8031A1227EA048d72524933e, 0xF8c05cA0f6979d204E7Aad6c7c770Aa0492c9020, 0xF1d86c5d09d1828E56f4218d610634175Ae3a887, 0x90b47dAa259130DAA24309089020723017617c36, 0xCb8F7FF47d50C02A2F72b0b7aaBCc486962aDef6, 0xa22540654C5F966FBD3b0e8337BfE57d4582dd61, 0x69E13441F6508F6C7031884e1D426A391C702301, 0xcF9a3504cD014399d3AB2a9406458a885423D698, 0x40dBE7CB5E6e6CB2E5296d5BC511b4e65A03B793, 0xdb6aeeD247DeaA4bB81f997caB569F04009fd44a, 0xa5b4E7E7B99D2C8A6A8D3118a9fF6541acd30AB7, 0xB34E76e959F542F7da82Adf4FD3e7799AD630146, 0x3700A7B262b63dF4b4b90E8c006032Cf66456e21, 0xCceeA200668750aEeb155d2C609D8223B054dbD5, 0xB0D2Cb909563dDE7CddF6691Fa3447D68484dc94, 0x33B699569A662dB5f27B27Bf9a2b93F12d7fA19E, 0x10E6dAD4bB48ae5F8B73D140d61dc2057Df25a5f, 0x3523202ccDa0982e41eD4515890297993D0BdB62, 0x67BCACbD003F14c99375577Fdc5155b887D9D2c5, 0xfAe66C39D6c611d78072584b3c8537A7a38AA85D, 0x81371C07dE8B26970F1C609A94d555875Fb69ec5, 0x75Ae13dbfe411d43499135f1299BE95781AAaD6d, 0x9b2088AF7BBF958ba1A4BebD3C331167B0A10195, 0x34A6b04136be7792673D8bcbF115CDf8cB07d73E, 0xB56c7B9578Ff1aFd7eaabA69C0C43b7847325Bc9, 0xC62991e1D1F78E98B2192841B5a68bf9D6f89D62, 0xbD5d4A0A6F0ea98F0e75e13D4C286C2620414bDB, 0x9Be3d16Bf09eb795DA385b8581060f6D5C978d1F, 0xa118314Ad337f54cdbF3d016fD08479022b88A57, 0x8b3d4755B643a48D54Af5A1bbdaf53121832fFA2, 0xC48e307d6969ade25ea283abF64F83880667882A, 0x4ae85BB8863A0B7646Cccc0b3a78DC13F5e84489, 0x31F9dAb6b05DDDB5BC8f41AF9E1B4e1C7241eDd7, 0x034585EcB3D418afeE20B324eec77d2aa2CD89A8, 0x1b516e5697BC03b9747a1Ed55EC8D79877641f44, 0x2B32f0703e6784D7E201C4dcd7f5bd7657BE5e58, 0x631F19E9F926e33342671730C420Bd6A63047c63, 0x68d63543E92E7C5060659E24d7FA8f1013fD175A, 0xDee2b6AC9D6a7a1C16e36392922151D4a5d446D2, 0x92FB9353615D2058ff76b1671b613994AB02dc44, 0xA80041D8bE9F128B75b42B47ba1e9bf688b6213C, 0xD6376e653a624370a981B0E7022e8868b203d4ef, 0x4f1C1cab36965F42B126B5E71ADf1F13D5Bb5BE9, 0xA06f0e8E1C7B180FCD7493744DDC1aE6613EA807, 0x3193eB55bEE0e4C8CE80D159e50811CD32C579a9, 0x4Fe42D6C9e6ea15608dC73d66d731dF3802670d5, 0xd1E115F6153D58E9732a82c6B96C8cce89834318, 0xb85d70707747894AdDB30f8EaDe732eA07602442, 0x1a5240021630f8387e540815351713370b55C732, 0xc676EAd43C7f45d8d50E975aCD3Abaa8a2b1D3Fe, 0x9256538cd58c926756fF0715b39eF097990eDC89, 0xB9Af8F3FBb6660FaDCF2Db421FC2a08E14Eb88C6, 0xE919351c10e54a7132b24b5D82aa1Ad384391f0B, 0x637b50bbb4Fdc79c2cDAEE371e08A4B00F0bfc6B, 0x108B3731b012C4F2Cd11E777EDb6dB4f92216aBC, 0xDa87039BA396664eB9498C9A215e66ED6232Dc36, 0x1b82D9CfF9EDF75D6fC016EF3517A68B32c6cb31, 0x5A2217ab4F3E4522e606045Ad917744E485DE0Bf, 0x6d35aFaAe964D67daEefECfaa77CDDadB99C2273, 0xC356386a0dDd58716376C1bB2d8f6924eDfB89a8, 0x02e51d6Ce16201A28Eaa7DE9C8C4BFeD25B4b081, 0x58B7429191Ecaf7F9B008540cb13573533961Cf2, 0x0E2C1Ae29DC7D26297066998bd08EAB28828A19d, 0x181F558A4EE55f782131256C6F3062c376E23b69, 0x8Eb5f29a6D6c376342aC5B86f31b64F55cdDD077 ]; 
        uint80[150] memory amount_tmp80 = [ 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28571420000000000000000, 28400000000000000000000, 28388571428571419700000, 28342850000000000000000, 28342850000000000000000, 28285710000000000000000, 28285710000000000000000, 27797142857142839400000, 27714280000000000000000, 27362850000000000000000, 27205714285714279800000, 26857140000000000000000, 26614285714285699500000, 26614285714285699500000, 26614285714285699500000, 26614285714285699500000, 25914280000000000000000, 25887142857142839400000, 25742850000000000000000, 25314280000000000000000, 25257130000000000000000, 25142850000000000000000, 25000000000000000000000, 24840000000000000000000, 24142850000000000000000, 23911707142857139900000, 23762850000000000000000, 23065714285714279800000, 22799990000000000000000, 22791350000000000000000, 22737650000000000000000, 22474285714285699500000, 22342850000000000000000, 22042570000000000000000, 21913580000000000000000, 21457140000000000000000, 21428570000000000000000, 21428000000000000000000, 21428000000000000000000, 21291428571428559600000, 21142850000000000000000, 20657140000000000000000, 20575800000000000000000, 20399991428571399000000, 20154320000000000000000, 20061720000000000000000, 20019857142857139900000, 20000000000000000000000, 20000000000000000000000, 19657140000000000000000, 19571420000000000000000, 19312850000000000000000, 19285710000000000000000, 18518510000000000000000, 18334285714285699500000, 18314280000000000000000, 18271600000000000000000, 18038270000000000000000, 17742857142857139900000, 17742857142857139900000, 17742857142857139900000, 17714280000000000000000, 17371420000000000000000, 17151428571428559600000, 17151428571428559600000, 17142850000000000000000, 17142850000000000000000, 17142850000000000000000, 17142850000000000000000, 16571420000000000000000, 16560000000000000000000, 16560000000000000000000, 16342850000000000000000, 16022280000000000000000, 15968571428571419700000, 15885710000000000000000, 15752650000000000000000, 15400000000000000000000, 15246910000000000000000, 15205555555555536900000, 15205555555555536900000, 15183180000000000000000, 15142850000000000000000, 15054285714285678800000, 15028570000000000000000, 15022285714285699500000, 15000000000000000000000, 14942850000000000000000, 14860571428571419700000, 14785714285714279800000, 14785714285714279800000, 14785714285714279800000, 14785714285714279800000, 14785714285714279800000, 14714280000000000000000, 14608285714285699500000, 14604833423760995700000, 14571420000000000000000, 14571420000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285710000000000000000, 14285700000000000000000, 14282850000000000000000, 14228570000000000000000, 14194285714285699500000, 14194285714285699500000, 14194285714285699500000, 14171420000000000000000, 14085710000000000000000, 14057140000000000000000, 14057140000000000000000, 14028570000000000000000, 14000000000000000000000, 13928570000000000000000, 13714280000000000000000, 13714280000000000000000, 13657140000000000000000, 13546000000000000000000 ];
        for (uint256 i = 0; i < 150; i++) {
            addr_batch2[i] = addr_tmp[i];
            amount_batch2[i] = amount_tmp80[i];
        } 
        token.batchMint(addr_batch2, amount_batch2);

        address[] memory addr_batch3 = new address[](150);
        uint256[] memory amount_batch3 = new uint256[](150);
        addr_tmp = [ 0xD31aE7a2292d32023C24F2C82Ea3a4911C42f11d, 0xa8Fc6be818bDbC1AC4918aFdDDD1a791875F95fF, 0xE5394Da69d78b0c6D86d56228b602DC7ab043f73, 0x5823e9e637e4C550AfCc9592a72f2f7E13905B8F, 0xB7b28e6c184B38a1C8442d9c249583c1bf910F6a, 0x30523e9E10FCfEFc8f78a155a982FA5dDa1c34B5, 0xd876278302f513775631d60979701EC250b11119, 0x381A0f2B9eC2446660CF065a31F855320faf675a, 0xc93A851B68489a9Ecb395CeB93108d03Bd99988f, 0x9625AE0F08054969ef14eB2d59e635F0795F21bC, 0xf5fbb1C7330A89dE4fFc1100fC8E5Db5A8f96294, 0xdf5948eC27aD9096D0D37Ba9e2480Db6f80840dF, 0x2829cA22f33F29078A4b456C6C4c15779062348F, 0x9E3d2f089d7B21274f70673c76D81c1ee48347A1, 0xc3EA1Ce0434B2c3124517e8b33FEd5dF18488E39, 0x6828F04Fc98c78F3255B846BaBf6D2FAC89e7748, 0x23dB013D1f68aDA4985630feF4dF92050c6B9cC2, 0x95c668965E0272DfaB8b0DFDC3ab05622a7F9eeF, 0x28249340fdd9093DfbF1469AcF48eea8273AdA65, 0x57fA9b858EFc889C04d94c55132a94516D3f68d9, 0x64B631091d6C4687e05777bbE1E079bEDa4ea4e1, 0x746C9068E3908fB25d57f49bf831cE6d56756195, 0xb180D1EA6D3709B715EA8EEe9F0595D52ACe9352, 0x27E33D6F940aB27EA945e24c4281103f3cC13C02, 0x9B385AC66806705A50E88b774330279A8B70E727, 0x774d98698d8C622ed92fA4dB4F54a60CD33c8c25, 0xbf78EA80441d400501fa1b5d89997923b16B895F, 0xdC05F0ea83341469a13C1eFf3fC9061a48ef0cB8, 0x8E80Df9ef94FaB9BF87652e81Ceb2D66B9868F8f, 0xc5Bd3be4a3082c1561196Cef3a536fb308d94a1E, 0xBa65B198Bb72b84366762617A65e884e58F3064b, 0xfEdafe8468b6b5D2F22753D6C4e25E3F30604C8f, 0x9FCF9a74348297Aef254870D74C83Cfa4CE71B0e, 0xB925413d30C081AB79943F44D461DC607C7C7071, 0xC416adce18fe89875cB636E2E1290753DeB12693, 0xe10AAFA12F0e3826f44da1C1Cf51Cc1d5e9b9800, 0x7581F122D6411eDd2B1d7840c923E1c0Fa28b21d, 0x46C62D6f93292165b7bE661541ed32B060ed969A, 0xFc9e0F47396dA6af6b1a8Fc67eE8e3b41b1B935A, 0x3A7c73cC7EEF51ba39189AE60a586534A8d771bD, 0x974A551BC3ed84E97dC419C16C072eAFA874BD48, 0x25D83C1528Df80543836683D1e76342e40E7D20f, 0x2Fea4f7C1E2452368cB661B83D34EED82450d110, 0xb9e8e3135b87a55e25febC411D2450ea63476Bc6, 0xA8216e13CeEac43eD516113dED0c90fA20817F4b, 0x880d8462c34A071022273ce29B1BeD02537Ec405, 0x5b8a1611C51Fb413e578A78364cfb5C22CE498b4, 0x919AB2FaC961d88660750A93475ADD1901786782, 0x66e3C7D0A764F9072f4446cEd84008216c266d45, 0xDDE344a786735F1E9462Ab68716e3e43E17AE7Af, 0x7D0bA8b0D924490CAa5609E2D319714580E5c17b, 0xAeBfFeb7e4821CdF304349c754E127105A00F0E6, 0xCF77825d4fE55eF44B450C01e08912c26bFbEbF2, 0xe684933B7e9A21fa11dDBC4efbE5Ab7CEEb3Af3B, 0x81b3737f14309Ee3dCc0a23855211c273f16C1Fa, 0xAce6FeF86fD7a45df4E73a2e0EA97682Ae05c1FD, 0x44828a949087E84dB12051Ac2E486f887275c049, 0x71fdd558180fc5aA28C8cf12c7dE7A7E9Fb832ff, 0xFcFaAA524FCE31B6d62139d7d0030c54E29FcbB3, 0x562d23fb2A3D081Ad53227acBF50B28E43f1c123, 0x31b08226DBF05b9Fe7D0e87FCBA9C833D776B853, 0x9F6Bb2eDC29a1393210100DA4BF7204c2b05f4cb, 0x8EEd3cDf9A1D6Ec06f2484e41bD59E75f908Ca08, 0xe6F946dd48d9115596F63E6A9E049B6b163798FC, 0xa67842b7Af14c2791676D63625462aB146c39412, 0x07D00F25c384E38bd9933d130bAEBA4Ba0dCE7eB, 0x0B6C298Df2f2ea4aB78632BAE302B9860C961FA9, 0xB5EDfA64fBc243AEC1FC7D50d14Ba2c0EB1c0baF, 0xB5ca950d1c8c26eB8e974b3402D9978C003383A7, 0xd426aEfbA9E58CE8e5Fc3732F1ce15b0Cd9cEEBc, 0x7559fd63C79e6A6bB41b5ae88a4b4e578701266c, 0xC91770cFE491098d0778a6DFE3cCE1b7eDb854e2, 0x461379D30B78d414D069C110A71318B5fd1909e4, 0x5834591eb88027eaf0150214cCCB63F20649f076, 0xc25073bdF1DEe2096Bed52529aFE1a21B3E0b514, 0xc7f9fE356c0D56A1e75493bFe911145B78C0352a, 0x17f0c59E372A186b229496721e09e50C58e31e46, 0x46eA50863E6aAd265fF6E3d4710c260eAC737277, 0x9B40Bf822dbd3C2fCf293c7498CBd10A19380136, 0xa6c013c18FA2D4eE806E8A2FC1F1f6a8F0Ad16cb, 0xb5D346d66a9e30c8a392E2b1e5381A28a9238A8E, 0x6229742428942E653bD8a013004539412f79F875, 0xDC842483381f1131A6b4779Ff72dFaf24345C287, 0xd6de5e38Ee8b161e8ec33fe7Dca03f5CaA46d4dB, 0x5a62F37F0B1Ec556224652E5fbA904D5Ae65163D, 0xd7fbEAd27c00Ee499FD51273233df11550ed31BF, 0xD70B18e7831a4EBd1629a66bC7F392Bd00f0f9Ea, 0xee00Ad8B82f02204e49D1ec281b3bBD5d80DAB51, 0x9eb80cC0B57d44630D3141125ADEC07939cD1Bf2, 0x3e8e128b9C8e883b8139350cB224eE3Db3847239, 0xE1475eca16F2a2aB23D0b4364C1521fA5394d0F7, 0xc33D45d7EE2b019fC8299292ffc5875E7f9974E9, 0x96eeC7c5e163855A346baBE7644E7D88571a2b09, 0x267D7d5a9F2bfD50AA8865A79823E509A99A2491, 0xc369FABd227DE42630920E0C7b32E1927957b54C, 0xcC7e5d2F69D48A1ACdef5D7CdF465Da7F562ACE3, 0x8960Abf43b6F6438473083D2682777f6CD226323, 0x1e4cA3546CCcE8fcD0fd9b66070499d8538C381f, 0x4C87D83abA513113f6eC378752480bA884F65d83, 0x51204b34401959ae2812f60A73ECFffBDD623CaF, 0x9d0f743dbeA80FFC972Bf280524c7Ee8fB62335c, 0x5B906c79168445dA47B8433F354FB9eDbd470Fb1, 0x0a640dE285b14d48F8DDEEF0dB6F9D75876D8AE8, 0xF4D46B33E3eD8A83D2708eb36a16EC5d430ebF20, 0x4745eCaf7b5EED05B75C148b9EcD922D3b1B26b2, 0x9B82C05b5752b9087479f51A6e9308ef8caE47e2, 0x181e9Eb893007FF9A45b73A995ef3A559e18f471, 0x4fbc9883a8A05673f229ec4cd087eD418af85926, 0x916c2Cd2F87c0E9D7a02B76AA8bA6cB6586187D4, 0x8A69674B1CD9e0A6435ED02537b071C3DFbF511d, 0xd6E1f60C7Bb9724801d02b1584Dc535470AAe949, 0xEbB731925a0d7efA252B6aF1ff33C4a1eFdEE606, 0xB0ec0e1708869ebe5FA97b0a6C0fA9A757855502, 0xAfB94327783f5B57500C6fB237eA3F4c42227Db1, 0x8af1adF2108E6e867f864E5BBE4C1F692762cC00, 0xa56C91bB7b2E222Cb103273b73D383B85e011656, 0x05daE42e38Ff7231f1355cFB0A480CC93Ef6e39b, 0x52C3308bd6C759e95e4eB0C4DF42ec1244D572A1, 0x8D22dDE280cE516007Cf8623c658557578a78D8d, 0xD9C3ef38c3503035b01f20fCFcb8809d4beA21e5, 0xfc31fDc18B4C11F269f1C2a724c80a5d5F265d93, 0xa950382512C6C495c920AaC02A96892Ab887DC2c, 0x82Dc3F9339c234bCff5CCf9A688d1bBf4C29f495, 0x954fC97aB2bA02f9a5C554Bb5deF4c62aed26BDC, 0xb9D2a79240A599B7E84C43F2Deb1e71C48A3d443, 0x3DA40B3C40EF594450FA289780057DB2daF7fCED, 0x47f017bA49d3D16c99edDC052767908904dCa633, 0x3CB4191a182cEC72965162dE304688bAe87808A4, 0x4D7Db6d035753A11A90bd41B8C268852951B7200, 0x4112a8c8e249ED059e4FF27F34452A4Faae89A88, 0x31DcA02Bc5740bC6819de70047f35cc80330C548, 0x583bAF753251aF185871205577aBe29AB5838670, 0xE66FA30081f1021CeA6A884cC10B24f8daA1A35c, 0x02a5BfE4b39B7e40D5350DFBF18e1eBf1C0f23B4, 0xBdCf1f990F24d8D60991Fc1298E82AfE9132161D, 0x9C80d86fe10A1F67234411979A4D4CD38ed6E808, 0xAeF860563A210dDD0C57a79F282338B7A39A9802, 0xe58Bc6501eE8d7821BFB88725dC6D91AC9dD263a, 0x8465938eb78e69d68d58E6B036B97F79344841Df, 0x0220afD3c1d357DfFA87AFf38CF683929DA0faAB, 0x2AfCeD89dE27681eb5d607C953d71ae1C37218d2, 0x7aA68D2b7b2525506e80a6209F595a85e2c563A9, 0x2d37830F481c71D9236Cc60732e7Ddf6BDBd7820, 0x7C37Cb2f6628d50DD2A01a483fe0Bf7575bf26F0, 0xbBf571c503545E110C53eD69177Bbb755183BEab, 0x265a19c8547Ee8cCe9b4238B42FD173c8118f9c1, 0x9a9FD48CF8b355c7aA59e0887c3c09F6648B282B, 0x6f8618d07fBd83c73d0fd919fA6099DcE465531C, 0x5a02361900ae4bE234816e4D309881B90959FC33, 0x3222FBDE41d1a8679e47dEe2938cEe3FeEA1Ddf2 ];
        amount_tmp80 = [ 13506280000000000000000, 13142850000000000000000, 12863571428571399000000, 12857140000000000000000, 12857140000000000000000, 12857140000000000000000, 12808000000000000000000, 12628570000000000000000, 12449571428571419700000, 12420000000000000000000, 12371420000000000000000, 12273995714285699500000, 12000000000000000000000, 11828571428571419700000, 11828571428571419700000, 11828571428571419700000, 11828571428571419700000, 11828571428571419700000, 11828571428571419700000, 11710285714285699500000, 11581420000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11428570000000000000000, 11400000000000000000000, 11296285714285699500000, 11278542857142839400000, 11130922285714279800000, 11057140000000000000000, 10802972222222207400000, 10285710000000000000000, 10185404285714279800000, 10142850000000000000000, 10142850000000000000000, 10054285714285699500000, 10054285714285699500000, 10000465714285699500000, 10000000000000000000000, 10000000000000000000000, 10000000000000000000000, 10000000000000000000000, 10000000000000000000000, 9857140000000000000000, 9714270000000000000000, 9513610000000000000000, 9428570000000000000000, 9409628571428559600000, 9167142857142839400000, 9017138571428559600000, 9000000000000000000000, 8873202857142839400000, 8871428571428559600000, 8871428571428559600000, 8871428571428559600000, 8857140000000000000000, 8605285714285699500000, 8600000000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8571420000000000000000, 8564850000000000000000, 8557971428571419700000, 8428560000000000000000, 8342850000000000000000, 8285710000000000000000, 8285700000000000000000, 8280000000000000000000, 8257140000000000000000, 8171420000000000000000, 8079206349206329200000, 8000254285714279800000, 8000000000000000000000, 8000000000000000000000, 7984285714285699500000, 7857140000000000000000, 7793460000000000000000, 7777285714285699500000, 7716040000000000000000, 7714280000000000000000, 7688571428571419700000, 7600000000000000000000, 7428570000000000000000, 7371420000000000000000, 7274571428571419700000, 7250914285714279800000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7142850000000000000000, 7114280000000000000000, 7105000000000000000000, 7097142857142839400000, 7097142857142839400000, 7038000000000000000000, 7000000000000000000000, 6971420000000000000000, 6971420000000000000000, 6857140000000000000000, 6857140000000000000000, 6790120000000000000000, 6771420000000000000000, 6685710000000000000000, 6683142857142839400000, 6657140000000000000000, 6624000000000000000000, 6505714285714279800000, 6505714285714279800000, 6371420000000000000000, 6314280000000000000000, 6210000000000000000000, 6172830000000000000000, 6127199999999979300000, 6115620000000000000000, 6020742857142839400000, 6000000000000000000000, 6000000000000000000000, 5961138571428559600000, 5920200000000000000000, 5914285714285699500000, 5914285714285699500000, 5914285714285699500000, 5914285714285699500000, 5914285714285699500000, 5914285714285699500000, 5857140000000000000000, 5857140000000000000000 ];
        for (uint256 i = 0; i < 150; i++) {    
            addr_batch3[i] = addr_tmp[i];
            amount_batch3[i] = amount_tmp80[i];
        } 
        token.batchMint(addr_batch3, amount_batch3);

        address[] memory addr_batch4 = new address[](150);
        uint256[] memory amount_batch4 = new uint256[](150);
        addr_tmp = [ 0xBfb2658c546B0c4e0bB38F6513C47553AE59B3Ac, 0xA529A8e7Abc5c3Ef30a9A5b6A419B59A34666046, 0xd1E307eA6F2BFb657b2823BCf7e10bE0cCe15778, 0x5CAa5C14F319942A0b2dEb687871209490cEa119, 0x3F757Cb0DA497D42FB813694Aa39fd187989C553, 0x324089b53bA8FAF30861bE9399Aa3091B4E2d16d, 0x7638d6AfE9a2EE254B231bf338D3474D5f7eE4E1, 0x0800270b81BD3C17d865c745D3917bc9B23EA865, 0x1B6F4eb8601c50c89B1499609DC68B95B76f68de, 0xd963209AbE8812b262A7Ab1a1F83D12db051aECF, 0x514fB4AcE996940741095781FBaE2C529730D774, 0xA4B94Fc07568511AC7b05072C01d5588E4AAd94c, 0x17B2276f0be02242a11DF8c919aD3E68B4d46aF7, 0xDb36A44701feB7Cc1a24900cf8e71512f8e2fb07, 0x6bd2089C78AA19B5D1Ec02FD7CE150072ADFE6E3, 0x33FA1cFf9744a3A68d430d471D2f6E729F6f3f8D, 0xA37C55e6e3018C461bB0C5bA65f62e705bA33437, 0x72d48aFA2F2B14fEF69A1A737751bF99aB951e13, 0xEda3E31a2Dea4579d5AA9e31fAccd0c1fca29e9D, 0xb90a4ff4045210bCE1e327527272aec274c5dD17, 0x3012AFd55E55f9C2FcBa4Da25F73b659c0c80FbC, 0x0698875cebAbB48C8ec52403fb379B32aC275f01, 0x628FDE8bd463Ffb82826b02a3225D863519De1D5, 0xc20055904c311888F76531aD15F277d0eCF5FCaA, 0x18cf04650c5C011879523C3633f88F4F66AdD3db, 0x1c0FA12EFC0BC5CB9F0d9a1C7285FB83891e1c0C, 0x5e0bF205B6A69af88fEE3423ba2ff595c4034F36, 0xC63FD6B4ea4CCBd1A77069999eD0Ef6B97dE5678, 0x56a8769f0C4BC8720D2F8E48065AE3D40BD767bF, 0x4a22EEb7bC4eef78c1E283F9D3D18939E8703EfC, 0x8f3a1313E6C57ea7B1ea0dC3c3542580DbdD2aCa, 0xa70ee2A5f91ee83cf346F64A74C14f0f4163F5A7, 0x51caBF7D215c566c93939f261AE35A69c5465fa9, 0x717315AA44A12BB1Fce04A94E331c950CcDC6fE2, 0x23c1E7a43041bbC7D8F1E364985F126983623D40, 0xcCEa9D1E93d54cF3523EFDf0AE07BEA89a6289a8, 0x0B41F348577e1E3556D2EAB9A4b24c12BD88E177, 0x2e235f11874498e7Fe832EB6CefE9abc13a7532B, 0xAa42aB305864bF8270A98E6052c2376CFA7e8200, 0xb6Fd9C4b6C08ff740DFCdAC2cf0d89F0b5A13aCd, 0xD716c2b778b257A41a42bC9e23570147bfbFBeA5, 0xa27ecB6b60Fc847B9FED6877Fe83966DdFa9E968, 0x7450C884fb842731bc6b2C56917C7F66aFf008fb, 0x398bcfd402c09A73C4DF151375f482822f34933d, 0xB876D57A4D26Ea2cD8F99c0bDaFDBE9d5772f147, 0x70BB6d7B7505d0E3d5f622638Eea3cF9199dC60b, 0xe016bAE2cBB25e7FC61D5dBF3c59110e2416E303, 0x8309CCd28e136530f87612c8eA64fF6EAc811E09, 0x5B4D02bc9d83f15Ff635Cf0F5ae61A983f84B029, 0x6B75fc97106D945688E5f78C83B1789AeF804a47, 0x0bb65FC7e78af52c0E1bE1e183C6DC8B007312D9, 0x2792D60ec349607A838089CBae15292d291deD1E, 0x1a75B45007E29bDE549C00B354d7dC97e6658c08, 0x997788C9d00f4f32715de559613A114ae0e7c183, 0x084D494F59Ea2a5fF4494672a7a2d4af37E3Aab0, 0x7bce7595608c2e9Cc43b00fef7159Cc86dd0eb20, 0xAd923a2c69235732375B0DcbC810aa1D437AcE38, 0x2eA4a241f94Ab68F14544daa6D0D0FCaF16357F4, 0xCa8bA3edf7ff6626D92A910221E357cdFeb7c49A, 0xd19d4dB3Df5D374ff4A6244B7591C8136a601686, 0x07e28b5a9044750ed0B5b76f62e97FBc6Be52B82, 0xcd2347AE9514C515c8423434829939Aa6701c38B, 0x6BD722299fdFbA03866EE1960382f89d2d56B56a, 0x4518b39ab49f9EB9aFDd17F5Ebed266413509Fb9, 0xEc1cE11C555ff865795ba6577da4C1F4fD3DB263, 0x90366f5643D34D2956E59F01e441C903713A4bc4, 0x4fC03a1C69DD26467DD36065598A1c3CE99C33A6, 0x47A3C4612Aa72768dFD230400aDDd15328c90532, 0x098892e04Cc91029909c0fBD4bE059F5977b4dc7, 0x4aEc6F100E988b9727f7e507A954d3C57bABA1dd, 0x8b4f8afF979E3f117A450838F374d05408678fFc, 0x110408e979a4f5158Fd35cc9a8f7241CBA94d2e5, 0x33b83Bb0Bd5D580953b321F12912cE0aF3628a11, 0x97089Ad5aA6397FA223f66A8249405388d9e0483, 0xaA7EdfF876390b2424aC61eb04271067C6fbDC8F, 0x8840f6DFf6DBD9bc402f81b71866b1ED7d51253e, 0x50f790a164E34556cA6a6fC32B85d20B4AF1e69F, 0x917294714a03D925A71401650c2f386E861C4A86, 0x95968Df2746B6FC0b09690cab6f9d012c834d12d, 0x79FC4f5DE522E5559C5f6d6ABE4ad3e79ddD0863, 0xF246c6E87499f2e6e967e13A221aD5a1aBb6463E, 0xE3a391b24d8996a04FBef478efaD60f867CB3b40, 0xE21113a6688EE4fe57a055735FDa45132da90ac9, 0x93b396Ddfe4CFFfF6F9b1dCfDb2C0cEC09133D2b, 0x17103f544e5FdDF63FE9C38Fe3abe686B54Ea824, 0xF40Bd4678F77eb231165d6f66aEC5E938628efA8, 0xBE35F4D95E1455dB79103b2B7D8DA853406Bcc98, 0x101Ad01c20089c500c4d19FC01c360E40FB65D24, 0x76262076B1833CF29533525f44729cfA12Db4e1A, 0x19f4bd30D910b5F40f612330dcE64C8D4874D405, 0xb1eDb4ecfeF1E28ea063C71caEaB10Af6eB740b6, 0x08927d2A7ce58192d1F4Fca05673C6ad1CE4edB0, 0x9F712f5418C65ccf4030Bb4E8c83ED0360a09808, 0x4D86A703d686F0B55ac3D584EcA29bE70ad8F6Ec, 0x981EdCFDC971Da5231806D2da72B70f1b747386d, 0x59EE38CA8814EDEFe2579AB0BD3e443528E11154, 0xCFb805FE82Eccf2C4D737552bd95D5E1F64572e4, 0xdFDFD219B4Bd26dd99F676A2f45aF4b0EE76DDEd, 0xEAa404f431516d9Bdd2db21eE5b59431c1AaCad7, 0xe9A44F743c9dFFa20F0B1A4d4e85CaBeE60CBF5d, 0xc9Cbb3FE5642C3827ED4216f3DA7D1B297d73A48, 0x58e936c08dFccEB8FA29f355d1dDBd4b17818A8B, 0xc70132D9f33d554550C12f8cf4aaad856B889dad, 0x657627f32870f345D03Ba4d8c4B4d74698c42D31, 0x9Bfd3256D6F8703C496E9B740fc51Ef9c620a631, 0xe6D45365f42ad830930E0A58AD9Bd5181Eb17096, 0x8055E8dC4cC58Fd33d3118B876B07edf44CAC8E9, 0x86665925AC028bEF9a3786Ad85c150E7dD1D62Cb, 0x2B14A050F60E2ecfDD55431219744a1C88A2d9E1, 0x167Efc5c703C0892818e7162A9b3a7E74410e66E, 0xEDe331239a970aFc58E283BF9F2EFA9d0C1C6748, 0x5A88e159D0647AA45E8fA91A52fAAdEE3dEc266A, 0xF2fBAD4c4f6B995C2274944317c1f7500A2209a9, 0xD47427BD57cD71dDA029457412E0D32B08B90569, 0x35A27402A401F34c0B76B7305e30275071088B6B, 0x5173f508797ac3a2b3116Eb534f282FE0Ab9b215, 0x7C122057d8D7804A557150414FdC7a3921CF2688, 0x0Cd4846967C3BE9BA7552F3Ab7cCF574DD5a95a4, 0xA6d33A96Da5B5d7C9e9d327943D29D2B957321bC, 0x79909aE994A5bd29AEcF9D9957D6f66655e9Ad8b, 0xA66d4750f88Ac31fb30006C249321320A0FFE86f, 0x39dfC21c03aBEc4E228c0710221919c1Ec48b0f6, 0x172E21Cb799f4E39E26bf87d36190D5184257bbA, 0x4020E0741668C38c0e3eCbd2C69e2630edf6b1f8, 0xcC27c6034aA710239fB2DA9794Ee88297fAD350A, 0x8D41CAc82BE33Acd46Fb0B64AC6b68553E9773A1, 0x2BabABf59c924c403Df85cd088639cc4B59cbbe8, 0x142cA7d4295dD586f307eC8E9f4b5d2BED04CF4A, 0x9A4aF55a201c81c187B888887f3F9e0c29931b1B, 0x85E96ba96350E447e3dD59de4562E1668Ae99f10, 0xd69dEdA72fc03445E32492f8B6Aa3fBcb6e3Ca0B, 0x2dae69e6bDdaac6935Fc0526E8C7647328B94BE5, 0xb3491091f2E2A7dbE43be2C52eb7dc5a8C966c8f, 0xD1A98dA4708a3120F1a6DA033722201DE9654f03, 0x5F53a0190F75371B6ad195889C61d316a6E67d9E, 0xD1B99a2476cC2148cA29Df3649c5C594D12C233c, 0x66cBAe271Df0BE77C4B44b37796cB655653D3a9b, 0xF86662e90346a070036bA76dC8EA5575D62A84D4, 0x23Bd7EDb02aD4228204aD7b792Ecd48757dF7141, 0x9F9042fCDdA82657a96e95d253E4ad819e27F106, 0x43FD89BAe0d1bDcC1db8CF452bdFA4E94c4B2009, 0x246DEf8763000634C4999692D7B6c7Bc3f853325, 0xeb946F57e16622Efc06CA3d65E2f9d42eB271834, 0x7C59b730157b913fE55A5561b3Ae570e911F0CcF, 0x83c171B7350e10289068E2d3DE94733C5a7abC46, 0x417Fd4CB596f85ABA27B5FE8Ee6353071b499211, 0x6C2C133AE52117e19BCbE313f29d5B2882FA5FA6, 0x691c295BF5d79c203451bb7F49Af01db563cED83, 0x490967AB783053ed694594dDD2202099Ec5033B3, 0x7C5425500B77F3D5566Cb7e895f30Af53A562D4A ];
        amount_tmp80 = [ 5850857142857139900000, 5796000000000000000000, 5765710000000000000000, 5742850000000000000000, 5742850000000000000000, 5736857142857139900000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5714280000000000000000, 5685710000000000000000, 5677714285714279800000, 5667710000000000000000, 5657140000000000000000, 5618571428571419700000, 5571420000000000000000, 5571420000000000000000, 5542850000000000000000, 5542850000000000000000, 5485710000000000000000, 5467140000000000000000, 5457140000000000000000, 5428570000000000000000, 5322857142857139900000, 5322857142857139900000, 5257140000000000000000, 5256617142857139900000, 5114280000000000000000, 5114280000000000000000, 5085710000000000000000, 5028570000000000000000, 5027142857142839400000, 5027142857142839400000, 5000000000000000000000, 5000000000000000000000, 4966854285714279800000, 4857140000000000000000, 4849714285714259100000, 4828570000000000000000, 4826370000000000000000, 4731428571428559600000, 4731428571428559600000, 4645710000000000000000, 4571420000000000000000, 4512570000000000000000, 4457140000000000000000, 4444000000000000000000, 4435714285714279800000, 4342850000000000000000, 4317428571428559600000, 4285710000000000000000, 4285710000000000000000, 4285710000000000000000, 4285710000000000000000, 4200000000000000000000, 4142850000000000000000, 4140000000000000000000, 4140000000000000000000, 4140000000000000000000, 4140000000000000000000, 4140000000000000000000, 4114280000000000000000, 4000000000000000000000, 3962571428571399000000, 3857140000000000000000, 3857140000000000000000, 3726000000000000000000, 3714280000000000000000, 3714280000000000000000, 3714280000000000000000, 3571420000000000000000, 3548571428571419700000, 3548571428571419700000, 3548571428571419700000, 3548571428571419700000, 3519540000000000000000, 3400000000000000000000, 3400000000000000000000, 3342850000000000000000, 3314280000000000000000, 3285710000000000000000, 3257140000000000000000, 3257140000000000000000, 3252857142857139900000, 3228570000000000000000, 3193714285714279800000, 3142850000000000000000, 3016285714285699500000, 3000000000000000000000, 3000000000000000000000, 3000000000000000000000, 3000000000000000000000, 2957142857142839400000, 2957142857142839400000, 2957142857142839400000, 2957142857142839400000, 2957142857142839400000, 2957142857142839400000, 2898000000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2857140000000000000000, 2838857142857139900000, 2838857142857139900000, 2838857142857139900000, 2800000000000000000000, 2784000000000000000000, 2779714285714279800000, 2662850000000000000000, 2661428571428559600000, 2661428571428559600000, 2661428571428559600000, 2628570000000000000000, 2608200000000000000000, 2571420000000000000000, 2571420000000000000000, 2571420000000000000000, 2461140000000000000000, 2428570000000000000000, 2389420000000000000000, 2365714285714279800000, 2365714285714279800000, 2285710000000000000000, 2285710000000000000000, 2257140000000000000000, 2225997142857139900000, 2200000000000000000000, 2200000000000000000000, 2114280000000000000000, 2070000000000000000000, 2010857142857139900000, 1892571428571419700000, 1833428571428559600000, 1774285714285699500000, 1774285714285699500000, 1713370000000000000000, 1691485714285699500000 ];
        for (uint256 i = 0; i < 150; i++) {    
            addr_batch4[i] = addr_tmp[i];
            amount_batch4[i] = amount_tmp80[i];
        } 
        token.batchMint(addr_batch4, amount_batch4);

        address[] memory addr_batch5 = new address[](43);
        uint256[] memory amount_batch5 = new uint256[](43);
        address[43] memory addr_tmp43 = [ 0x0c1610251B1Ac4180981D09bc795784beF44115d, 0x3fC85b5cD3a69a26486B88330F59c3dFCbA9d4a9, 0xaa4e525a9Eab9F3eCa90b912ffa715F9346a4B69, 0xa57D8d9239454A85a72924f01273BB940c55fe40, 0xbA176298732F4439c804c10CeB3C883596Baee4e, 0x6cbBB5E7a2D2194CceF8Baf1A24027F5E71f0010, 0x13E33d7032D741d0E16F76adeCB7519D8E080e78, 0x96FF4A43bc31E837183cde1d8A9D395bE0292181, 0xD73880A7aB0A800959392705017B59113A474AF7, 0xf3f4aD21326060Aacf1fA13821A25718fB7F1567, 0xdfBd61D613087b590220DfEcAFaa3F81EB574335, 0x0c5c2d4CEf78C8db2982436A7767fADd5EaDae9c, 0x5F1cD04B99FbB34fEBf88e4584dB32121FDb8fc5, 0x9D51693A5eBFd6cF0858f09Ecf0c29156e260eEf, 0x530BE4775804eE47D3fEfF2298381DEA390dd0d0, 0xab7cA327d8588f09AF105d3B3D0526cDbf90bad3, 0x3cb34467F6D758ab1e89B7636f5BAA7B39880fE0, 0x4A3159bc9b7B62A701Ea305E69442D468cDf1d18, 0x1D72e6e5a5b249453f0441076F1Df55496A0f073, 0x3ade816AF091d982513976258D28cbf02895CB4b, 0x46C6cF3B20F1FFAAaCbA939c2A19BD6476daa8D8, 0xaecF145644B7AaF9cbFC3938a7178DBB97917BFa, 0xD4a2505E45F980F164aDdFc3dFd5A63C5C1032f9, 0x49569f006B4b9E411f4d77Cc528dB0Be536fc743, 0x2B92B864C149Ad94f28a16Dc01385343B23F50C1, 0x5850201b4d2bb83a8AB68Ba87a5C74F2297cA92D, 0x12071c748E162f6f63f572D912929f4eb778D4C8, 0xb80f433CFeaed9e54dE6B383E372b7a22295a22d, 0xF472927dB4dBFb212726C668c434B4311823a650, 0x5fe7add3f1E7BEEE8d5516D152750abeE4fE973D, 0xCEb8651B49DF24CB46DfeeE86E75492D8e4ba651, 0x93d44DD28DDb41b8bBd5B324CDa63302B36AE714, 0x0A17976795Dd6e292BeAd8ce86438be1e386Bb24, 0xBad931669388B56170193141aC3b1e3190587f17, 0xF9025f1b059EFC2543085293c01bfC8D8fDbE670, 0xa31CE0d5Fe6487b57E8Eaef0d8e695Cd45DB232a, 0x0Fa27D4FAa27C56a00A45b87eA8a9f94Fc9be380, 0x8B88e3F1fA914699438E3ED7dd8e6674DFFe1bBb, 0x33e22F604641F2D2e9d6A1F887fc9A3aC13fa065, 0x47982Aee34eed5F787610603db24A87B7487F89C, 0x8fda78838d45710C495012BFe6e30e9069AB92d7, 0xDe330446FfcC329cC6250d7A134956F0531d9bCB, 0xBA8cAC2ce0731DE6039FC20814e880953D349751 ];
        uint72[43] memory amount_tmp43 = [ 1685710000000000000000, 1567285714285699500000, 1555140000000000000000, 1500454285714279800000, 1478571428571419700000, 1428570000000000000000, 1428570000000000000000, 1428570000000000000000, 1428570000000000000000, 1419428571428559600000, 1371420000000000000000, 1360285714285699500000, 1257140000000000000000, 1242000000000000000000, 1236085714285699500000, 1230171428571419700000, 1199250000000000000000, 1182857142857139900000, 1182857142857139900000, 1171420000000000000000, 1153285714285699500000, 1142850000000000000000, 1094142857142839400000, 1085710000000000000000, 1064571428571419700000, 1028570000000000000000, 975857142857139900000, 946285714285699500000, 887142857142839400000, 887142857142839400000, 771420000000000000000, 669162019497419700000, 572502857142839400000, 532285714285699500000, 425828571428559600000, 414000000000000000000, 404282857142839400000, 360771428571419700000, 354857142857139900000, 285710000000000000000, 285000000000000000000, 207000000000000000000, 59142857142839400000 ];
        for (uint256 i = 0; i < 43; i++) {
            addr_batch5[i] = addr_tmp43[i];
            amount_batch5[i] = amount_tmp43[i];
        }
        token.batchMint(addr_batch5, amount_batch5);

        vm.stopBroadcast();
    }
}
